###############################################
### Ultra Web Server - Apache Configuration ###
### Configuration for mod_fcgid 
### FileName: conf/extras/mod_fcgid_php.conf
###############################################

<IfModule fcgid_module>
	
#   FcgidIOTimeout seconds (40)
#   Communication timeout to FastCGI server
#FcgidIOTimeout 40

#   FcgidConnectTimeout seconds (3)
#   Connect timeout to FastCGI server
#FcgidConnectTimeout 3

#   FcgidMaxProcesses value (1000)
#   maximum number of FastCGI application processes
#FcgidMaxProcesses 1000

#   FcgidMaxProcessesPerClass (100)
#   Max process count of one class of FastCGI application
#FcgidMaxProcessesPerClass 100

#   FcgidProcessLifeTime seconds (3600)
#   maximum FastCGI application process lifetime
#   A value of 0 disables the check.
FcgidProcessLifeTime 0

#   ZombieScanInterval n (3 seconds)
#   The scan interval for zombie process.
#FcgidZombieScanInterval 3

#   FcgidMaxRequestsPerProcess value (0)
#   Max requests handled by each FastCGI application
#   A value of 0 disables the check.
#FcgidMaxRequestsPerProcess 0

#   FcgidMinProcessesPerClass value (3)
#   Min process count of one class of FastCGI application
#   This setting will apply to all applications spawned for this server or virtual host.
#FcgidMinProcessesPerClass 3

#   FcgidFixPathinfo 1-0 (0)
#   Mirror the PHP cgi.fix_pathinfo setting
#FcgidFixPathinfo 0

#   FcgidMaxRequestInMem bytes (65536)
#   maximum size of a request which will be held in memory
#FcgidMaxRequestInMem 65536

#   FcgidOutputBufferSize (65536)
#   CGI output buffer size
#FcgidOutputBufferSize 65536

#   FcgidMaxRequestLen bytes (131072)
#   maximum HTTP request length
#FcgidMaxRequestLen 131072

#   FcgidConnectTimeout n (3 seconds)
#   The connect timeout to a fastcgi application.
#FcgidConnectTimeout 3

#   FcgidIOTimeout n (40 seconds)
#   This is the maximum period of time the module will wait while trying to read from or write to a FastCGI application.
#   Please increase this value if your CGI have a slow initialization or slow respond.
#FcgidIOTimeout 40

#   FcgidAuthenticatorAuthoritative (On) On|Off 
#   Set to 'off' to allow authorization to be passed along to lower modules upon failure
#FcgidAuthenticatorAuthoritative On

#   FcgidAuthorizerAuthoritative (On) On|Off 
#   Set to 'off' to allow authentication to be passed along to lower modules upon failure
#FcgidAuthorizerAuthoritative On

#   FcgidWin32PreventOrphans (Off) On|Off
#   Job Control orphan prevention for fcgi workers
#FcgidWin32PreventOrphans Off


</IfModule>

